/*
   AnalogThermometer
   Hőmérés MCP9700 hőmérővel. Az A4 analóg bementre 
   kötött MCP9700 hőmérő jelét a beépített 1.1 V-os referenciához 
   képest mérjük, az eredményt Celsius fokokra átszámítjuk. 
   A soros porton kiíratjuk az ADC-ből kapott nyers adatot 
   és az átszámított eredményt is. A mérések között egymásodperces 
   szünetet tartunk.
   
   Az MCP9700 hőmérő nullapontja = 500 mV, érzékenysége = 10 mV/C
  
   A program eredetije Arduino kártyához készült, lelőhelye: 
     http://arms22.blog91.fc2.com/blog-entry-415.html
 */

void setup ()
{
   Serial.begin(9600);
   analogReference(INTERNAL);
   // analogAverage(5); //32 ismételt mérést átlagolunk (nonstandard extension by I. Cserny)
}

void loop ()
{
   // Get the output voltage of the MCP9700
   int reading = analogRead (A4);
   // Convert to an AD mV value
   float voltage = ((long) reading * 1100) / 1023;

   Serial.print (voltage,0);
   Serial.print (" mV, ");

   // Convert mV to Celsius temperature [C]
   float tempC = (voltage - 500) / 10;

   Serial.print (tempC,1);
   Serial.print (" C, ");

   // Convert from Celsius to Fahrenheit [F]
   float tempF = (tempC * 9/5) + 32;

   Serial.print (tempF,1);
   Serial.println (" F");

   delay (1000);
}
