//Link: https://code.google.com/p/tinkerit/wiki/SecretThermometer
//Temperature is returned in milli-°C. So 25000 is 25°C. 
long readTemp() {
  long result;
  // Read temperature sensor against 1.1V reference
  ADMUX = _BV(REFS1) | _BV(REFS0) | _BV(MUX3);
  delay(20);           // Wait for Vref to settle
  ADCSRA |= _BV(ADSC); // Convert
  while (bit_is_set(ADCSRA,ADSC));
  result = ADCL;
  result |= ADCH<<8;
  return result;
}

void setup() {
  Serial.begin(9600);
  Serial.println("Inner temperature sensor");
}

void loop() {
  float temp;
  temp = (readTemp() - 324) / 1.22;
  Serial.print("Temp = ");
  Serial.print(temp,1);
  Serial.println(" C");
  delay(1000);
}
